Description

I see the need to keep the roles associated to each VRE folder with the VRE Managers. 

In particular, each VRE folder is currently created with 

Admin: who "was" the VRE Manager at VRE Creation time;

WRITE_OWNER: each member of a VRE;

This implies that if someone becomes VRE Manager during the VRE lifetime he\she has limited rights on the VRE folder, e.g. he\she

is not allowed to move the objects created by others. 

I would suggest that the assignment of VRE Manager roles result in making the assignee a VRE Folder admin too. Is this feasible

\ reasonable? Is the user management called to fire the "event"? 

History

#1 - Jan 26, 2017 07:10 PM - Leonardo Candela

- Description updated

#2 - Jan 26, 2017 07:12 PM - Leonardo Candela

- Description updated

#3 - Jan 27, 2017 10:49 AM - Massimiliano Assante

- Status changed from New to Closed

- % Done changed from 0 to 100

Wha you suggest (the assignment of VRE Manager roles result in making the assignee a VRE Folder admin too) is what we had until the switch to the

revamped portal. 

The new users management portlet does not do it anymore, and it is correct it doesn't. We have an hook contacting the HL incase of user

adding/removal from a VRE, the same hook should also do this job of keeping in sync the VRE Manager with the VRE Folder managers. I think I

planned to do it in the past but then I forgot ...  I'm opening now a ticket to track this feature.

#5 - Jan 31, 2017 10:18 AM - Massimiliano Assante

- Assignee changed from Valentina Marioli to Massimiliano Assante

#6 - Feb 08, 2017 05:24 PM - Massimiliano Assante

- Status changed from Closed to Feedback

- Assignee changed from Massimiliano Assante to Leonardo Candela

Are we really sure we want to give VRE Managers the roles of Administrator on the Related VRE Folder, I mean this feature is possible for the VRE

Folder owner by using the Edit Administrator option. Although a little buggy at the moment, see https://support.d4science.org/issues/6988

When creating a VRE the VRE-Designer is set as VRE Folder owner, i wonder that there could be cases where one would not want VRE Managers to

be VRE Folder administrators. So to delegate VRE Managers only the users management part and not the workspace part. What do you think? 

#7 - Feb 08, 2017 06:20 PM - Leonardo Candela

- % Done changed from 100 to 50
Until we keep the current VRE development approach (i.e. the VRE designer is not who was planned to be) I would go for the discussed solution. 

I do not see any harmful issue, if I'm giving someone the role to be VRE manager than I do expect she/he is also the manager of the associated

workspace. 

Expecting that who designed the VRE will continue to take care of VRE "pieces" is error prone and misleading.

If you want to decouple the role of VRE Manager from that of VRE folder manager than do this in the proper way, i.e. by having these roles (and

supporting them) rather then delegating this logic to the workspace.  

#8 - Feb 20, 2017 12:32 PM - Pasquale Pagano

- Tracker changed from Support to Task

- Target version changed from UnSprintable to SocialNetworkingImprovements

Leonardo's request is correct and the activity has been planned. Please @massimiliano.assante@isti.cnr.it confirm that it is under implementation

and close this ticket. 

#9 - Feb 23, 2017 03:33 PM - Massimiliano Assante

- Status changed from Feedback to In Progress

Leonardo's request is being implemented in - Feature #6680 

#10 - Apr 11, 2019 05:57 PM - Leonardo Candela

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The feature is there. 
